<?php
/**
 * functions_product_is_local_delivery.php
 * product shipping handling
 *
 * @author  Frank Riegel frank18 (original author)
 * @copyright Copyright 2013-2014
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License V2.0
 * @version $Id: functions_product_is_local_delivery.php,v 1.4.0  2014-07-21 15:47:53 +1000 frank18 $
 */
 
/*
 *  Look up if a product is local delivery only
 */
  function zen_get_product_is_local_delivery($lookup) {
    global $db;

    $sql = "select product_is_local_delivery from " . TABLE_PRODUCTS . " where products_id='" . (int)$lookup . "'";
    $look_up = $db->Execute($sql);

    if ($look_up->fields['product_is_local_delivery'] == '1') {
      return true;
    } else {
      return false;
    }
  }


/*
 *  Shorten UK / Canada postcode to return only first portion
 */

  /**
  * @param string $check_delivery_postcode UK Postcode
  * @return string
  */
  function zen_get_UKPostcodeFirstPart($check_delivery_postcode) {
    // check input parameters for alpha chrs and enable shortening of UK postcodes to first part, eg strip last 3 chrs from UK postcodes
    $check_delivery_postcode = strtoupper($check_delivery_postcode);

    // UK mainland / Channel Islands (simplified version, since we do not require validation)
    if (preg_match('/^[A-Z]([A-Z]?\d(\d|[A-Z])?|\d[A-Z]?)\s*?\d[A-Z][A-Z]$/i', $check_delivery_postcode)) {
        return preg_replace('/^([A-Z]([A-Z]?\d(\d|[A-Z])?|\d[A-Z]?))\s*?(\d[A-Z][A-Z])$/i', '$1', $check_delivery_postcode);
	} else {
    // if we are not dealing with UK form of postcodes (eg numerical in Australia, Europe, USA) then return postcode as is
    return $check_delivery_postcode;
    } 
  }
